Module ij
Package ij.plugin.tool

# Class RoiRotationTool

java.lang.Object
ij.plugin.tool.PlugInTool
ij.plugin.tool.RoiRotationTool

All Implemented Interfaces:
  `PlugIn`

public class RoiRotationTool extends PlugInTool

## Constructor Summary

Constructors
Constructor
Description
`RoiRotationTool()`

## Method Summary

Modifier and Type
Method
Description
`String`
`getToolIcon()`
Return the string encoding of the tool icon.
`String`
`getToolName()`
Return the tool name.
`void`
`mouseDragged(ImagePlus imp, MouseEvent e)`
`void`
`mousePressed(ImagePlus imp, MouseEvent e)`
`void`
`mouseReleased(ImagePlus imp, MouseEvent e)`
`void`
`showOptionsDialog()`

### Methods inherited from class ij.plugin.tool.PlugInTool

`getMacroProgram, mouseClicked, mouseEntered, mouseExited, mouseMoved, run, runMacroTool, runMenuTool, showPopupMenu`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### RoiRotationTool

public RoiRotationTool()

## Method Details

### mousePressed

public void mousePressed(ImagePlus imp, MouseEvent e)

Overrides:
  `mousePressed` in class `PlugInTool`

### mouseDragged

public void mouseDragged(ImagePlus imp, MouseEvent e)

Overrides:
  `mouseDragged` in class `PlugInTool`

### mouseReleased

public void mouseReleased(ImagePlus imp, MouseEvent e)

Overrides:
  `mouseReleased` in class `PlugInTool`

### showOptionsDialog

public void showOptionsDialog()

Overrides:
  `showOptionsDialog` in class `PlugInTool`

### getToolName

public String getToolName()
Description copied from class: `PlugInTool`
Return the tool name.

Overrides:
  `getToolName` in class `PlugInTool`

### getToolIcon

public String getToolIcon()
Description copied from class: `PlugInTool`
Return the string encoding of the tool icon. See http://rsb.info.nih.gov/ij/developer/macro/macros.html#icons The default icon is the first letter of the tool name.

Overrides:
  `getToolIcon` in class `PlugInTool`